<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Project-Uno</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    <style>
        body {
            background-color: #f4f5f8;
        }

        .container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 90vh;
        }

        form {
            max-width: 600px;
            padding: 40px;
            background-color: #90f6c3;
            border-radius: 5px;
        }

        .form-group {
            margin-bottom: 15px;
        }

        label {
            display: block;
            font-weight: bold;
            margin-bottom: 5px;
        }

        input[type="text"],
        input[type="password"] {
            width: 100%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        button[type="submit"] {
            width: 100%;
            padding: 10px;
            background-color: #7f20d8;
            color: #FFFFFF;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        .signup-link {
            text-align: center;
            margin-top: 10px;
        }

        .welcome-message {
            text-align: center;
        }
        .title {
            text-align: center;
            color: #8320ed;
        }
    </style>
</head>

<body>
    <header>
        <nav class="navbar navbar-expand-lg" style="background-color: #90f6c3;">
            <div class="container-fluid">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="{% url 'login' %}">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'signup' %}">Signup</a>
                    </li>
                    {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% endif %}
                </ul>
            </div>
        </nav>
    </header>

    <h1 class="title">Project-Uno</h1>
    <h4 class="welcome-message">Welcome To Project-Uno! A Project and Task management application for Software
        Developers to organize their tasks.</h4>

    <main>
        <div class="container">
            <form method="post">
                {% csrf_token %}
                <h1>Signup</h1>
                <div class="form-group">
                    <label for="id_username">Username</label>
                    <input type="text" id="username" name="username" class="form-control" required
                        value="{{ form.username.value }}">
                    {% if form.errors.username %}
                    <div class="error">{{ form.errors.username }}</div>
                    {% endif %}
                </div>
                <div class="form-group">
                    <label for="id_password">Password</label>
                    <input type="password" id="password" name="password" class="form-control" required
                        value="{{ form.password.value }}">
                    {% if form.errors.password %}
                    <div class="error">{{ form.errors.password }}</div>
                    {% endif %}
                </div>
                <div class="form-group">
                    <label for="id_password_confirmation">Confirm Password</label>
                    <input type="password" id="password_confirmation" name="password_confirmation" class="form-control"
                        required value="{{ form.password_confirmation.value }}">
                    {% if form.errors.password_confirmation %}
                    <div class="error">{{ form.errors.password_confirmation }}</div>
                    {% endif %}
                </div>
                <button type="submit" class="btn" style="background-color: #7f20d8; color: #FFFFFF;">Signup</button>
            </form>
        </div>
    </main>

</body>

</html>